> For the complete documentation index, see [llms.txt](https://docs.coherent.global/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coherent.global/spark-apis/service-apis/update-service-version.md).

# Edit service version

Edit an existing service version without creating a new version.

{% code overflow="wrap" %}

```shellscript
PUT /{tenant}/api/v3/folders/{folder}/services/{service}/updateversion/{versionId}
```

{% endcode %}

### Authorization

* `Bearer {token}` accessible from [Authorization - Bearer token](/spark-apis/authorization-bearer-token.md) or systematically via [Client credentials](/identity-and-access-management/client-credentials.md).
  * The request headers should include a key for `Authorization` with the value `Bearer {token}`.

### Path parameters

| Key            | Value                                                                                                                                                                                 |
| -------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `tenant` \*    | Tenant is part of your [Login and logout](/navigation/login-and-logout.md#log-in-to-spark) URL and also available in the [Navigation menu](/navigation/navigation-menu.md#user-menu). |
| `folder` \*    | Folder associated with the request.                                                                                                                                                   |
| `service` \*   | Service associated with the request.                                                                                                                                                  |
| `versionId` \* | `version_id` of the Spark service version.                                                                                                                                            |

### Request body

`Content-Type: application/json`

| Key                                    | Value                                                                                                                                                                                                                                                                                                                                                                                             |
| -------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `request_data.description` \*          | Text field to describe the service version.                                                                                                                                                                                                                                                                                                                                                       |
| `request_data.release_note` \*         | Text field to describe the purpose of the upload.                                                                                                                                                                                                                                                                                                                                                 |
| `request_data.version_label` \*        | Text field that attaches to version numbers across the Spark user interface.                                                                                                                                                                                                                                                                                                                      |
| `request_data.tags` \*                 | <p>Comma separated list of tags. If tags are required, then at least one tag must be supplied.<br>Example: <code>abc,def</code></p>                                                                                                                                                                                                                                                               |
| `request_data.effective_start_date` \* | <p>Timestamp to set the parameters for the</p><p><a data-mention href="/pages/-Mbp9Z03Ck-4xgQWd-9o">/pages/-Mbp9Z03Ck-4xgQWd-9o</a> capability.<br>Use <a href="https://www.timestamp-converter.com/">Timestamp Converter</a> to convert dates to ISO 8601.<br>Example: <code>2026-01-19T16:05:23.517Z</code></p>                                                                                 |
| `request_data.effective_end_date` \*   | <p>Timestamp to set the parameters for the</p><p><a data-mention href="/pages/-Mbp9Z03Ck-4xgQWd-9o">/pages/-Mbp9Z03Ck-4xgQWd-9o</a> capability.<br>By default, the Spark UI will use the current date and time for this value. Use the <a href="https://www.timestamp-converter.com/">Timestamp Converter</a> to convert dates to ISO 8601.<br>Example: <code>2126-01-19T16:05:23.517Z</code></p> |
| `request_data.book_properties`         | Array of objects containing property `name` and `value` to modify.                                                                                                                                                                                                                                                                                                                                |

```json
{
    "request_data": {
        "description": "My description",
        "release_note": "My release note",
        "version_label": "My version label",
        "tags": "tag1,tag2",
        "effective_start_date": "2026-07-16T15:29:00.000Z",
        "effective_end_date": "2126-07-16T15:29:00.000Z"
    }
}
```

### Sample response

`HTTP 200 OK` `Content-Type: application/json`

```json
{
    "status": "Success",
    "response_data": {
        "version_id": "c65b3a9e-33ec-4cd7-99f0-7b934904248f",
        "revision": "0.1.0",
        "jobid": null
    },
    "response_meta": {
        "system": "SPARK",
        "request_timestamp": "2026-07-21T05:50:07.141Z"
    },
    "error": null
}
```
